
Foreman - Bug #33723

Make dynflow-sidekiq@* services part of foreman.service

10/19/2021 08:37 AM - Adam Ruzicka

Status: Closed   

Priority: Normal   

Assignee: Adam Ruzicka   

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8856

  

Description

Attempts to address https://community.theforeman.org/t/foreman-nightly-rpm-pipeline-1222-failed/25712/11

Related issues:

Related to Installer - Bug #33725: Duplicate dynflow-sidekiq service restarts New

Associated revisions

Revision 8423e7e0 - 10/19/2021 01:45 PM - Adam Ruzicka

Fixes #33723 - Make dynflow-sidekiq services PartOf foreman.service

By doing so systemd stops all dynflow-sidekiq services before stopping

foreman itself and then starts everything in reverse order on restart.

This circumvents the issue with services being restarted at different

times.

History

#1 - 10/19/2021 08:40 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8856 added

#2 - 10/19/2021 09:43 AM - Adam Ruzicka

- Related to Bug #33725: Duplicate dynflow-sidekiq service restarts added

#3 - 10/19/2021 01:45 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#4 - 10/19/2021 02:01 PM - Adam Ruzicka

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|8423e7e0d709c00cc937760eca5d455edfe9340e.

#5 - 11/16/2021 11:05 AM - Amit Upadhye

- Category set to Packaging
